Summary: Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or a PXE network
Name: syslinux4
Version: 4.03
Release: alt6
License: GPL2
Group: System/Base
Packager: Alexey Gladkov <legion@altlinux.ru>

Requires: mtools
Conflicts: syslinux

Source0: %name-%version.tar
Source1: configs.tar
Source2: extlinux.sysconfig
Source3: extlinux-config
Source4: extlinux.filetrigger

Patch0:  syslinux-global-append.patch
Patch1:  syslinux-addappend-directive.patch

BuildRequires: python-base nasm
BuildRequires: perl-Crypt-PasswdMD5 perl-Digest-SHA1

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%package devel
Summary: Development environment for SYSLINUX add-on modules
Group: Development/C
Requires: %name

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%package extlinux
Summary: The EXTLINUX bootloader, for booting the local system.
Group: System/Base

# Due 
Requires: libshell util-linux fdisk

%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the SYSLINUX/PXELINUX modules in /boot.

%package doc
Summary: Syslinux documentation.
Group: Documentation

%description doc
Syslinux documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make

%install
make install-all \
	INSTALLROOT="%buildroot" \
	BINDIR="%_bindir" \
	SBINDIR="/sbin" \
	LIBDIR="%_libdir" \
	DATADIR="%_datadir" \
	MANDIR="%_mandir" \
	INCDIR="%_includedir" \
	TFTPBOOT=%_datadir/syslinux \
	EXTLINUXDIR=/boot/extlinux

cp -a %buildroot/usr/share/syslinux/mbr.bin %buildroot/boot/extlinux/

mkdir -p -- %buildroot/%_sysconfdir/sysconfig \
            %buildroot/%_rpmlibdir \
            %buildroot/boot

install -m644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/extlinux
install -m755 %SOURCE3 %buildroot/sbin/
install -m755 %SOURCE4 %buildroot/%_rpmlibdir/

tar -C %buildroot/boot/extlinux -xf %SOURCE1

cd %buildroot/boot
ln -s . boot

cd %buildroot/%_sysconfdir
ln -s ../boot/extlinux/extlinux.conf   .
ln -s ../boot/extlinux/extlinux.conf.d .

#clean
#rm -rf %buildroot

%pre extlinux
[ ! -L /sbin/extlinux-config ] || rm -f -- /sbin/extlinux-config

%post extlinux
[ "$1" = 1 ] || /sbin/extlinux-config

%files
%_bindir/*
%_datadir/syslinux/*.com
%_datadir/syslinux/*.c32
%_datadir/syslinux/*.bin
%_datadir/syslinux/*.0
%_datadir/syslinux/memdisk
%_datadir/syslinux/dosutil/*
%_mandir/man*/*

%files devel
%_datadir/syslinux/com32

%files extlinux
%config(noreplace) /boot/extlinux/extlinux.conf
%config(noreplace) /boot/extlinux/extlinux.conf.d/*.conf
%config(noreplace) %_sysconfdir/sysconfig/extlinux
%_sysconfdir/extlinux.conf
%_sysconfdir/extlinux.conf.d
/boot/boot
/boot/extlinux
/sbin/extlinux
/sbin/extlinux-config
%_rpmlibdir/*

%files doc
%doc COPYING NEWS doc/*
%doc sample

%changelog
* Fri Dec 24 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt6
- extlinux-config: Fix root device detection.

* Thu Nov 25 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt5
- New release (4.03).

* Fri Oct 01 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt4
- extlinux-config: Add --root option.

* Fri Sep 24 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt3
- Package docs in a seperate package (ALT#24151).
- Add symlink to /boot (ALT#24150).
- Move extlinux-config to /sbin (ALT#24149).

* Wed Sep 22 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt2
- Fix extlinux-config.
- Add mbr.bin to extlinux.

* Thu Sep 09 2010 Alexey Gladkov <legion@altlinux.ru> 4.03-alt1
- Initial build.

